# org.apache.flume.conf

## Interfaces

- Configurable
- ConfigurableComponent

## Classes

- BasicConfigurationConstants
- ComponentConfiguration
- ComponentConfigurationFactory
- Configurables
- FlumeConfiguration
- FlumeConfiguration.AgentConfiguration
- FlumeConfiguration.ComponentNameAndConfigKey
- FlumeConfigurationError
- LogPrivacyUtil

## Enums

- ComponentConfiguration.ComponentType
- FlumeConfigurationError.ErrorOrWarning
- FlumeConfigurationErrorType

## Exceptions

- ConfigurationException